#pragma once
#include <QString>
#include <stdio.h>
#include <memory>
#include <vector>


/**
 * 	QString orbitpath = this->ui->OrbitModelPathLineEdit->text();
	QString SatePath = this->ui->SateSettingLineEdit->text();
	QString DEMPath = this->ui->DEMLineEdit->text();
	QString outDirPath = this->ui->outDirLineEdit->text();

	double gridX = this->ui->doubleSpinBoxGridX->value();
	double gridY = this->ui->doubleSpinBoxGridY->value();

	bool gpuflag = this->ui->radioButtonGPU->isChecked();
	bool looktableflag = this->ui->LookTableCheck->checkState();
	bool checkBoxIncAngle = this->ui->checkBoxIncAngle->checkState();
 */


namespace LookTableSimualtionMainProcessSpace {
	void LookTableSimualtionMainProcess(
		QString sateName,
		QString orbitpath, QString SatePath, QString DEMPath, QString outDirPath
		, bool gpuflag, bool looktableflag, bool checkBoxIncAngle, bool DopplerFlag
	);

	void LookTableSimulationDopplerProcess(
		QString DEMPath,
		QString outLookTablePath,

		// ʽ
		long double			OribtStartTime, // ģͲοʱ
		std::vector<double> PolyfitPx , // 50
		std::vector<double> PolyfitPy , // 50
		std::vector<double> PolyfitPz , // 50
		std::vector<double> PolyfitVx , // 50
		std::vector<double> PolyfitVy , // 50
		std::vector<double> PolyfitVz , // 50


		// ղ
		double dopplerRefrenceTime,
		std::vector<double> DopplerCentroidCoefficients,// d0 ~ d5 

		// 
		double starttime, // ʼʱ
		double endtime,   // ʱ
		double nearRange, // б
		double farRange,  // Զб
		double PRF, // ظƵ
		double Fs, // Ƶ
		double lamda,
		bool gpuflag,
		bool looktableflag,
		bool incflag
	);

	void LocalIncidenceAngleSimulationCompter(
		QString DEMPath,
		QString LookTablePath,
		QString outIncPath,
		long double			OribtStartTime, // ģͲοʱ
		std::vector<double> PolyfitPx, // 50
		std::vector<double> PolyfitPy, // 50
		std::vector<double> PolyfitPz, // 50
		std::vector<double> PolyfitVx, // 50
		std::vector<double> PolyfitVy, // 50
		std::vector<double> PolyfitVz, // 50


		double starttime, // ʼʱ
		double endtime,   // ʱ
		double nearRange, // б
		double farRange,  // Զб
		double PRF, // ظƵ
		double Fs // Ƶ

	);




}
